
-- Auftragsdatenbank 
-- Database: AUFTRAG
-- Objects:  KUNDEN, ARTIKEL, LIEFERANTEN, LIEFERPREISE
------------------------------------------------------------------------------------- 
CREATE TABLE KUNDEN ( 
	KUNDENNUMMER       	NUMBER(6,0) NOT NULL WITH DEFAULT,
	KUNDENNAME		CHAR(40) NOT NULL WITH DEFAULT,
	KUNDENBONITAET		CHAR NOT NULL WITH DEFAULT,
------- 0 = keine, 1 = Schlecht, 2 = OK, 3 = Gut    
	KUNDENANSCHRIFT_STRASSE	VARCHAR(60) NULL, 
	KUNDENANSCHRIFT_PLZ	NUMBER (6,0) NOT NULL WITH DEFAULT,
	KUNDENANSCHRIFT_ORT	VARCHAR(40) NULL,
	KUNDENANSCHRIFT_LAND	CHAR(4) NOT NULL WITH DEFAULT,
	PRIMARY KEY  		(KUNDENNUMMER)
	FOREIGN_KEY		LANDESKZ (KUNDENANSCHRIFT_LAND)
	REFERENCES		LAENDER
	ON DELETE		RESTRICT	 
	) IN AUFTRAG.TABSPACE;

------------------------------------------------------------------------------------- 
CREATE TABLE ARTIKEL ( 
	ARTIKELKATEGORIE		NUMBER (2,0) NOT NULL WITH DEFAULT,
	ARTIKELNUMMER       	NUMBER(6,0) NOT NULL WITH DEFAULT,
	ARTIKELNAME			CHAR(40) NOT NULL WITH DEFAULT,
	ARTIKELMENGE		NUMBER(6,0) NOT NULL WITH DEFAULT,
	ARTIKELPREIS		NUMBER(8,2) NOT NULL WITH DEFAULT, 
	MINDESTMENGE		NUMBER(6,0) NOT NULL WITH DEFAULT,
	LIEFERMENGE 		NUMBER(6,0) NOT NULL WITH DEFAULT,
	PRIMARY KEY  		(ARTIKELNUMMER)
	ON DELETE		RESTRICT	 
	) IN AUFTRAG.TABSPACE;

------------------------------------------------------------------------------------- 
CREATE TABLE LIEFERANTEN ( 
	LIEFERANTENNUMMER      	NUMBER(6,0) NOT NULL WITH DEFAULT,
	LIEFERANTEN_NAME	CHAR(40) NOT NULL WITH DEFAULT,
	LIEFERANTEN_BONITAET	CHAR (1 = schlecht, 2 = ok, 3 = gut)
	LIEFERANTEN_STRASSE	VARCHAR(60) NULL, 
	LIEFERANTEN_PLZ		NUMBER (6,0) NOT NULL WITH DEFAULT,
	LIEFERANTEN_ORT		VARCHAR(40) NULL,
	LIEFERANTEN_LAND	CHAR(4) NOT NULL WITH DEFAULT,
	PRIMARY KEY  		(LIEFERANTENNUMMER)
	FOREIGN_KEY		LANDESKZ (LIEFERANTEN_LAND)
	REFERENCES		LAENDER
	ON DELETE		RESTRICT	 
	) IN AUFTRAG.TABSPACE;

------------------------------------------------------------------------------------- 
CREATE TABLE LIEFERPREISE ( 
	ARTIKELNR 		NUMBER(6,0) NOT NULL WITH DEFAULT, 
	LIEFERANTENNR      	NUMBER(6,0) NOT NULL WITH DEFAULT,
	LIEFERWEG 		CHAR NOT NULL WITH DEFAULT,
------- 0 = Offen, 1 = LKW, 2 = Bahn, 3 = Schiff, 4 = Flug
	LIEFERPREIS		NUMBER (8,2) NOT NULL WITH DEFAULT,
	PRIMARY KEY  		(ARTIKELNR, LIEFERANTENNR)
	FOREIGN_KEY		(LIEFERANTENNUMMER (LIEFERANTENNR),
				 ARTIKELNUMMER (ARTIKELNR)
	REFERENCES		LIEFERANTEN, ARTIKEL
	ON DELETE		RESTRICT)	 
	) IN AUFTRAG.TABSPACE;


COMMIT;


