//
// Class = Kunde.java
//
//
public class Kunde extends Datenbank
{
	//Parameter mit Defaults
	private int Kundennummer;
	private String Kundenname;
	private String Kundenbonitaet;
	Kundenanschrift Kundenanschrift;
	//InnerClass
	private class Kundenanschrift
	{
		private String Strasse;
		private int PLZ;
		private String Ort;
		private String Land;
		//Getter-/Setter-Methoden
		public String getStrasse(){return Strasse;}
		public void setStrasse (String strass){Strasse = strass;}
		public int getPLZ(){return PLZ;}
		public void setPLZ(int plz){PLZ = plz;}
		public String getOrt(){return Ort;}
		public void setOrt(String ort){Ort = ort;}
		public String getLand(){return Land;}
		public void setLand(String land){Land = land;}
	}
	//Konstruktor
	public Kunde(int knd_nr, String knd_name, String knd_bon, Kundenanschrift knd_anschr)
	{
		setKundennummer(knd_nr);
		setKundenname(knd_name);
		setKundenbonitaet(knd_bon);
		setKundenanschrift(knd_anschr);
	}
	//Kunden speichern mit der Methode aus der geerbten Datenbank-Klasse
	//Annahme: Die Datenbank-Methode: speichereKunde berpft, ob Kunde bereits vorhanden
	//Wenn ja -> berschreiben; wenn nein: neu anlegen.
	//Daher fr Kunde ndern: Setter-Methoden verwenden und danach Kunde_speichern
	public boolean Kunde_speichern()
	{
		try
		{
			speichereKunde(this);
			return true;
		}
		catch(Exception e)
		{
			return false;
		}
	}
	//Kunde lschen mit der Methode aus der geerbten Datenbank-Klasse
	public boolean Kunde_loeschen()
	{
		try
		{
			loescheKunde(this);
			return true;
		}
		catch(Exception e)
		{
			return false;
		}
	}
	//Methoden der Ablauflogik
	//berprfen, ob Kunde vorhanden
	//getKunde() aus Datenbankklasse
	public boolean Kunde_pruefen(int knd_nr)
	{
		return (getKunde(knd_nr) == null) ? false : true;
	}
	//Kundenbonitaet prfen
	public boolean Kundenbonitaet_pruefen()
	{
		return (Kundenbonitaet.equalsIgnoreCase("gut") && 		Kundenbonitaet.equalsIgnoreCase("ok")) ? true : false;
	}
	//
	//Getter-/Setter-Methoden
	public int getKundennummer(){return Kundennummer;}
	public void setKundennummer(int knd_nr){Kundennummer = knd_nr;}
	public String getKundenname(){return Kundenname;}
	public void setKundenname(String knd_name){Kundenname = knd_name;}
	public String getKundenbonitaet(){return Kundenbonitaet;}
	public void setKundenbonitaet(String knd_bon){Kundenbonitaet = knd_bon;}
	public Kundenanschrift getKundenanschrift(){return Kundenanschrift;}
	public void setKundenanschrift(Kundenanschrift knd_anschr){Kundenanschrift = knd_anschr;}
}  // End of Class Kunde